## EvImage

EvImage

## Functions

EvImage * | ev_image_new ()
EvImage * | ev_image_new_from_pixbuf ()
gint | ev_image_get_id ()
gint | ev_image_get_page ()
GdkPixbuf * | ev_image_get_pixbuf ()
const gchar * | ev_image_save_tmp ()
const gchar * | ev_image_get_tmp_uri ()

## Types and Values

struct | EvImage
struct | EvImageClass
| EvImagePrivate

## Object Hierarchy

        GObject
        ╰── EvImage

## Description

## Functions

### ev_image_new ()

    EvImage *
    ev_image_new (gint page,
                  gint img_id);

### ev_image_new_from_pixbuf ()

    EvImage *
    ev_image_new_from_pixbuf (GdkPixbuf *pixbuf);

### ev_image_get_id ()

    gint
    ev_image_get_id (EvImage *image);

### ev_image_get_page ()

    gint
    ev_image_get_page (EvImage *image);

### ev_image_get_pixbuf ()

    GdkPixbuf *
    ev_image_get_pixbuf (EvImage *image);

### ev_image_save_tmp ()

    const gchar *
    ev_image_save_tmp (EvImage *image,
                       GdkPixbuf *pixbuf);

### ev_image_get_tmp_uri ()

    const gchar *
    ev_image_get_tmp_uri (EvImage *image);

## Types and Values

### struct EvImage

    struct EvImage;

### struct EvImageClass

    struct EvImageClass {
    	GObjectClass base_class;
    };

### EvImagePrivate

    typedef struct _EvImagePrivate EvImagePrivate;